Name:		jpf
Version:	1.5.1
Release:	21%{?dist}
Summary:	Java Plug-in Framework
License:	LGPLv2
URL:		http://jpf.sourceforge.net/
BuildArch:	noarch

Source0:	http://downloads.sourceforge.net/%{name}/%{name}-src-%{version}.zip

# Custom pom to build all artifacts in a single reactor
Source1:        pom.xml

Patch0:		jpf-1.5.1-build_javadoc.patch
Patch1:		jpf-1.5.1-no-class-manifest.patch

BuildRequires:	maven-local
BuildRequires:	apache-commons-logging
BuildRequires:  mvn(log4j:log4j)

%description
JPF is an  open source, LGPL licensed plug-in infrastructure library for
new or existing Java projects. JPF provides a runtime engine that
dynamically discovers and loads "plug-ins". A plug-in is a structured
component that describes itself to JPF using a "manifest". JPF maintains a
registry of available plug-ins and the functions they provide (via
extension points and extensions).

%package javadoc
Summary: Javadoc for %{name}

%description javadoc
Documentation for the %{name} Java library.

%prep
%setup -q -c %{name}-%{version}
find . -name "*.jar" | xargs rm

# Build the javadoc all together, but not for the "tools" sub-package
# (it uses the unpackaged "jxp" library)
%patch0 -b.jadoc -p0

# Don't put classpaths into the manifests
%patch1 -p1

sed -i "s|\r||g" license.txt

files=$(ls)
%pom_add_parent "net.sf.jpf:jpf-parent:%{version}" $PWD/jpf-pom.xml
%pom_add_parent "net.sf.jpf:jpf-parent:%{version}" $PWD/jpf-boot-pom.xml
%pom_xpath_set "pom:project/pom:version" "%{version}" $PWD/jpf-pom.xml
%pom_xpath_set "pom:project/pom:version" "%{version}" $PWD/jpf-boot-pom.xml
%pom_xpath_set "pom:dependencies/pom:dependency[pom:artifactId='jpf']/pom:version" "%{version}" $PWD/jpf-boot-pom.xml

%pom_xpath_inject "pom:project" "<properties><project.build.sourceEncoding>UTF-8</project.build.sourceEncoding></properties>" $PWD/jpf-pom.xml
%pom_xpath_inject "pom:project" "<properties><project.build.sourceEncoding>UTF-8</project.build.sourceEncoding></properties>" $PWD/jpf-boot-pom.xml

mkdir jpf && cp -pr $files jpf && mv jpf/jpf-pom.xml jpf/pom.xml
mkdir jpf-boot && cp -pr $files jpf-boot && mv jpf-boot/jpf-boot-pom.xml jpf-boot/pom.xml
cp -p %{SOURCE1} .

%build
%mvn_build -X

%install
%mvn_install
mkdir -p %{buildroot}%{_mavenpomdir}/jpf

%files -f .mfiles
%doc license.txt

%files javadoc -f .mfiles-javadoc
%doc license.txt

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Feb 21 2017 Ding-Yi Chen <dchen@redhat.com> - 1.5.1-16
- Fixes Bug 1423792 jpf: FTBFS in rawhide

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Oct 08 2015 Ding-Yi Chen <dchen@redhat.com> - 1.5.1-13
- Fix build for epel7

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jan 22 2015 Mat Booth <mat.booth@redhat.com> - 1.5.1-11
- Fix FTBFS by moving to xmvn, rhbz#992640, rhbz#1106967
- Misc other spec file clean ups

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.5.1-9
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.5.1-6
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Feb 13 2012 Mary Ellen Foster <mefoster at gmail.com> - 1.5.1-4
- Change jakarta-commons-logging to apache-commons-logging
- Remove dos2unix BuildRequirement; use sed instead
- Get rid of rogue "rm -rf" from install section
- Add jpackage-utils to javadoc requirement

* Mon Feb 13 2012 Mary Ellen Foster <mefoster at gmail.com> - 1.5.1-3
- Remove defattr from files section
- Add license to javadoc subpackage
- Change jakarta-commons-logging to apache-commons-logging
- Remove dos2unix BuildRequirement; use sed instead

* Wed Jan 25 2012 Mary Ellen Foster <mefoster at gmail.com> - 1.5.1-2
- Remove clean section, install unversioned javadocs

* Wed Jan 25 2012 Mary Ellen Foster <mefoster at gmail.com> - 1.5.1-1
- Initial package
